<?php
/*
 *      This file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Cette partie s'intègre dans la boucle des collections de main.php.
 * Variable disponible : idem main.php
 */


//Chargement de information de la collection
$itemsSortByDate = bdd::filterSortSliceAndCache('none','idDSC',0,10,True);

?>
<div class="element">
    <div class="box">
        <div class="collecdesc">
            <h2><a name="collec<?php aff($collec['id'])?>" href="<?php aff_hrefmodel('list') ?>"><?php aff($collec['title']) ?></a></h2>

            <p><?php aff($collec['description']) ?></p>

            <h3><?php echo __('Informations') ?></h3>
                <ul>
                    <li><?php echo __('Type de collection') ?> : <?php aff($collec['type']) ?></li>
                    <li><?php echo __('Nombre d\'éléments') ?> : <?php aff($collec['nbItemsBDD']) ?></li>
                    <li><?php echo __('Dernière mise à jour') ?> : <?php aff(strftime('%A %e %B %Y',filemtime(DIR_GCWEB.'collections/'.$collec['dir'].$collec['xml']))) ?></li>
                </ul>

            <p>→ <a href="<?php aff_hrefModel('list') ?>"><?php echo __('Voir la collection') ?></a></p>
        </div>


        <div class="colleclastadd">
            <div class="label"><?php echo __('Derniers éléments ajoutés') ?> <a class="rss" title="<?php echo __('S\'abonner (RSS 2.0)') ?>" href="<?php aff_hrefModel('rss')?>"><span>RSS</span></a> :</div>
            <div class="img">
                <?php
                foreach ($itemsSortByDate as $lastItem) {
                ?>
                    <div id="id_<?php aff($lastitem['id']) ?>" class="element">
                        <div class='legend' id="info_<?php aff($collec['id']) ?>_<?php aff($lastItem['id']) ?>" style="margin-top: 160px">
                            <h3><a href="<?php aff_hrefitem($lastItem)?>" ><?php aff($lastItem['title']) ?></a></h3>
                            <ul>
                                <?php if (test($lastItem['serie']))     {?> <li><span class="label"><?php echo __('Série') ?> :</span>      <span class="info"><?php aff_filter('serie==',$lastItem['serie']) ?></span></li><?php } ?>
                                <?php if (test($lastItem['authors']))   {?> <li><span class="label"><?php echo __('Auteurs') ?> :</span>    <span class="info"><?php aff_filter('authors==',$lastItem['authors']) ?></span></li><?php } ?>
                                <?php if (test($lastItem['publisher'])) {?> <li><span class="label"><?php echo __('Éditeur') ?> :</span>    <span class="info"><?php aff_filter('publisher==',$lastItem['publisher']) ?> </span></li><?php } ?>
                                <?php if (test($lastItem['genre']))     {?> <li><span class="label"><?php echo __('Genre') ?> :</span>      <span class="info"><?php aff_filter('genre==',$lastItem['genre']) ?></span></li><?php } ?>
                                <?php if (test($lastItem['web']))       {?> <li><a href="<?php aff($lastItem['web'])?>"><?php echo __('Source') ?></a></li><?php } ?>
                            </ul>
                        </div>

                        <a href="<?php aff_hrefItem($lastItem['id'])?>" title="<?php aff($lastItem['title'])?>" onmouseover="javascript:changeInfo('info_<?php aff($collec['id']) ?>_<?php aff($lastItem['id'])?>')">
                             <img class="image" src="<?php aff_image($lastItem['cover'],'auto',160) ?>" <?php aff_attrsize_image($lastItem['cover'],'auto',160) ?> alt="<?php printf(__('Couverture de %s'),convert($lastItem['title'])) ?>" />
                        </a>
                    </div>
                <?php } ?>
            </div>
        </div>
        <div class="collecfoot">
        </div>
    </div>
</div>
